aboutsummaryrefslogtreecommitdiff
path: root/board/roseapplepi/post-image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'board/roseapplepi/post-image.sh')
-rwxr-xr-xboard/roseapplepi/post-image.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/board/roseapplepi/post-image.sh b/board/roseapplepi/post-image.sh
new file mode 100755
index 0000000000..e8f2df23f3
--- /dev/null
+++ b/board/roseapplepi/post-image.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+GENIMAGE_CFG="${BOARD_DIR}/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+cp "${BOARD_DIR}/uEnv.txt" "${BINARIES_DIR}"
+
+genimage \
+ --rootpath "${TARGET_DIR}" \
+ --tmppath "${GENIMAGE_TMP}" \
+ --inputpath "${BINARIES_DIR}" \
+ --outputpath "${BINARIES_DIR}" \
+ --config "${GENIMAGE_CFG}"
+
+exit $?